Subject: Re: Large typecodes and DNSSEC

From: Ted Lemon <[email-masked]>
Date: Wed, 5 Nov 2003 15:26:01 -0600

On Oct 28, 2003, at 6:51 PM, Michael Richardson wrote:

>     David> - use the remaining 7 bits in the first octet as a count of
>     David> single-byte typecodes, called N.  The next N octets are an 
> ordered
>     David> list of 8-bit integers representing typecodes <= 255.  The
>     David> remaining RDATA is an ordered list of 16-bit big-endian 
> unsigned
>     David> integers, each representing one type present.
>
>   Works for me.

Er, if we're going to change the format anyway, why not avoid having a 
flag bit?

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Stephen Jacob <[email-masked]>
Date: Wed, 5 Nov 2003 14:09:28 -0800

> Er, if we're going to change the format anyway, why not avoid having a 

I have to say I dislike the scheme suggested above (David's).

With Michael Graff's format 1 (compressed), you get a homogenous
list of lists (with each sub-list having a 'header', for wont of a
better word). With David's scheme, you have a 'header' byte and then
a list in one format, followed by a list in a different format (so
the format of the data change part way through).

Michael's scheme makes more intuitive sense to me and doesn't seem
like it would be any burden on implementors. I tend to think that
his draft, with format 0 (uncompressed; list of 16-bit codes) removed
would be the best solution to the problem.

Regards,
sj
-- 
 Stephen Jacob | [email-masked] | +1 650 381 6051
 Nominum, Inc. | http://www.nominum.com/ | "Communication by Name"